Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | Friends | List of all members
testing::TestResult Class Reference

## Public Member Functions
int | total_part_count () const
int | test_property_count () const
bool | Passed () const
bool | Failed () const
bool | HasFatalFailure () const
bool | HasNonfatalFailure () const
TimeInMillis | elapsed_time () const
const TestPartResult & | GetTestPartResult (int i) const
const TestProperty & | GetTestProperty (int i) const

## Friends
class | TestInfo
class | TestCase
class | UnitTest
class | internal::DefaultGlobalTestPartResultReporter
class | internal::ExecDeathTest
class | internal::TestResultAccessor
class | internal::UnitTestImpl
class | internal::WindowsDeathTest

## Detailed Description

Definition at line 523 of file gtest.h.

The documentation for this class was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/tests/gtest/include/gtest/gtest.h